Name | Type | Default |
animationType
|
DateTimeInputAnimationType
|
'slide'
|
DateTimeInputAnimationType: "fade" | "slide" | "none"
Sets or gets the type of the animation.
Possible Values:
'fade'
'slide'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} animationType={ 'fade'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
allowNullDate
|
boolean
|
true
|
Determines whether Null is allowed as a value.
|
allowKeyboardDelete
|
boolean
|
true
|
Determines whether Backspace and Delete keys are handled by the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} allowKeyboardDelete={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clearString
|
string
|
'Clear'
|
Sets or gets the 'Clear' string displayed when the 'showFooter' property is true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} clearString={ 'Clear'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
culture
|
string
|
default
|
Sets or gets the jqxDateTimeInput's culture. The culture settings are contained within a file with the language code appended to the name, e.g. jquery.glob.de-DE.js for German. To set the culture, you need to include the jquery.glob.de-DE.js and set the culture property to the culture's name, e.g. 'de-DE'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} culture={ 'de-DE'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeDelay
|
number
|
400
|
Specifies the animation duration of the popup calendar when it is going to be hidden.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} closeDelay={2000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeCalendarAfterSelection
|
boolean
|
true
|
Sets or gets whether or not the popup calendar must be closed after selection.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} closeCalendarAfterSelection={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownHorizontalAlignment
|
DateTimeInputDropDownHorizontalAlignment
|
'left'
|
DateTimeInputDropDownHorizontalAlignment: "left" | "right"
Sets the DropDown's alignment.
Possible Values:
'left'
right'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} dropDownHorizontalAlignment={ 'right'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownVerticalAlignment
|
DateTimeInputDropDownVerticalAlignment
|
'bottom'
|
DateTimeInputDropDownVerticalAlignment: "top" | "bottom"
Sets or gets the DropDown's alignment.
Possible Values:
'top'
'bottom'
|
disabled
|
boolean
|
false
|
Determines whether the widget is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableBrowserBoundsDetection
|
boolean
|
false
|
When this property is set to true, the popup calendar may open above the input, if there's not enough space below the DateTimeInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} enableBrowserBoundsDetection={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableAbsoluteSelection
|
boolean
|
false
|
This setting enables the user to select only one symbol at a time when typing into the text input field.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} enableAbsoluteSelection={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
firstDayOfWeek
|
number
|
0
|
Sets or gets which day to display in the first day column. By default the calendar displays 'Sunday' as first day.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} firstDayOfWeek={3} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
formatString
|
DateTimeInputFormatString
|
dd/MM/yyyy
|
DateTimeInputFormatString: "d" | "f" | "F" | "n" | "c" | "p" | "d" | "dd" | "ddd" | "dddd" | "D" | "h" | "hh" | "H" | "HH" | "m" | "mm" | "M" | "MM" | "MMM" | "MMMM" | "s" | "ss" | "t" | "tt" | "T" | "y" | "yy" | "yyy" | "yyyy" | "Y" | "dddd-MMMM-yyyy"
Sets or gets the date time input format of the date.
Possible Values:
'd'-the day of the month
'dd'-the day of the month
'ddd'-the abbreviated name of the day of the week
'dddd'-the full name of the day of the week
'h'-the hour, using a 12-hour clock from 1 to 12
'hh'-the hour, using a 12-hour clock from 01 to 12
'H'-the hour, using a 24-hour clock from 0 to 23
'HH'-the hour, using a 24-hour clock from 00 to 23
'm'-the minute, from 0 through 59
'mm'-the minutes,from 00 though59
'M'-the month, from 1 through 12;
'MM'-the month, from 01 through 12
'MMM'-the abbreviated name of the month
'MMMM'-the full name of the month
's'-the second, from 0 through 59
'ss'-the second, from 00 through 59
't'-the first character of the AM/PM designator
'tt'-the AM/PM designator
'y'-the year, from 0 to 99
'yy'-the year, from 00 to 99
'yyy'-the year, with a minimum of three digits
'yyyy'-the year as a four-digit number
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} formatString={ 'd'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the height of the jqxDateTimeInput widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
min
|
Date
|
Date(1900, 1, 1)
|
Sets or gets the jqxDateTimeInput's minumun date.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); constructor(props: {}) { super(props); this.state = { min: new Date(2018, 0, 1), max: new Date(2019, 0, 1) } } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} min={this.state.min} max={this.state.max} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
max
|
Date
|
Date(2100, 1, 1)
|
Sets or gets the jqxDateTimeInput's maximum date.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); constructor(props: {}) { super(props); this.state = { min: new Date(2018, 0, 1), max: new Date(2019, 0, 1) } } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} min={this.state.min} max={this.state.max} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
openDelay
|
number
|
350
|
Specifies the animation duration of the popup calendar when it is going to be displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} openDelay={2000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
placeHolder
|
string
|
""
|
Determines the widget's place holder displayed when the widget's value is null.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} placeHolder={ 'Null Value'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupZIndex
|
number
|
20000
|
Sets or gets the popup's z-index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} popupZIndex={99999} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
readonly
|
boolean
|
false
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} readonly={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showFooter
|
boolean
|
false
|
Sets or gets a value indicating whether the dropdown calendar's footer is displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} showFooter={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectionMode
|
DateTimeInputSelectionMode
|
'default'
|
DateTimeInputSelectionMode: "none" | "default" | "range"
Sets or gets the dropdown calendar's selection mode.
Possible Values:
'none'
'default'
'range'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} selectionMode={ 'range'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showWeekNumbers
|
boolean
|
true
|
Sets or gets a value whether the week`s numbers are displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} showWeekNumbers={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showTimeButton
|
boolean
|
false
|
Determines whether the time button is visible.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} showTimeButton={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showCalendarButton
|
boolean
|
true
|
Determines whether the calendar button is visible.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} showCalendarButton={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
DateTimeInputTemplate
|
'default'
|
DateTimeInputTemplate: "default" | "primary" | "success" | "warning" | "danger" | "info"
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} template={ 'primary'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
textAlign
|
DateTimeInputTextAlign
|
left
|
DateTimeInputTextAlign: "left" | "right" | "center"
Sets or gets the position of the text.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} textAlign={ 'right'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
todayString
|
string
|
'Today'
|
Sets or gets the 'Today' string displayed in the dropdown Calendar when the 'showFooter' property is true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} todayString={ 'Today'} showFooter={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
value
|
Date
|
Today's Date
|
Sets or gets the jqxDateTimeInput value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); constructor(props: {}) { super(props); this.state = { value: new Date(2019, 0, 10) } } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} value={this.state.value} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the width of the jqxDateTimeInput widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
change
|
Event
|
|
This event is triggered on blur when the value is changed .
Code examples
Bind to the change event of jqxDateTimeInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} onChange={this.onChange} width={250} height={30} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
close
|
Event
|
|
This event is triggered when the popup calendar is closed.
Code examples
Bind to the close event of jqxDateTimeInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} onClose={this.onClose} width={250} height={30} /> ); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the popup calendar is opened.
Code examples
Bind to the open event of jqxDateTimeInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} onOpen={this.onOpen} width={250} height={30} /> ); } private onOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
textchanged
|
Event
|
|
This event is triggered when the text is changed.
Code examples
Bind to the textchanged event of jqxDateTimeInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} onTextchanged={this.onTextchanged} width={250} height={30} /> ); } private onTextchanged(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueChanged
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the valueChanged event of jqxDateTimeInput.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} onValueChanged={this.onValueChanged} width={250} height={30} /> ); } private onValueChanged(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
close
|
None
|
|
After calling this method, the popup calendar will be hidden.
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.destroy(); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.focus(); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getRange
|
None
|
|
Gets the selection range when the selectionMode is set to 'range'. The returned value is an object with "from" and "to" fields. Each of the fields is a JavaScript Date object.
|
getText
|
None
|
|
Returns the input field's text.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.getText(); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getDate
|
None
|
|
When the getDate method is called, the user gets the current date. The returned value is JavaScript Date object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.getDate(); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getMaxDate
|
None
|
|
When the setMaxDate method is called, the user gets the maximum navigation date. The returned value is JavaScript Date object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.getMaxDate(); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getMinDate
|
None
|
|
When the getMinDate method is called, the user gets the minimum navigation date. The returned value is JavaScript Date object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.getMinDate(); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
None
|
|
After calling this method, the popup calendar will be displayed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.open(); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setRange
|
date, date2
|
|
Sets the selection range when the selectionMode is set to 'range'. The required parameters are JavaScript Date objects.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.setRange(new Date(2017, 9, 20),new Date(2017, 9, 22)); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setMinDate
|
date
|
|
When the setMinDate method is called, the user sets the minimum date to which it is possible to navigate.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.setMinDate(new Date(2017, 9, 20)); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setMaxDate
|
date
|
|
When the setMaxDate method is called, the user sets the maximum date to which it is possible to navigate.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.setMaxDate(new Date(2017, 9, 20)); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setDate
|
date
|
|
When the setDate method is called, the user sets the date. The required parameter is a JavaScript Date object.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.setDate(new Date(2017, 9, 20)); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value, value2
|
|
Gets or sets the jqxDateTimeInput's value. Set value:
this.$refs.myDateTimeInput.val(new Date(2011, 10, 24));
Get value:
let date = this.$refs.myDateTimeInput.val();
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDateTimeInput, { IDateTimeInputProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdatetimeinput'; class App extends React.PureComponent<{}, IDateTimeInputProps> { private myDateTimeInput = React.createRef<JqxDateTimeInput>(); public componentDidMount(): void { this.myDateTimeInput.current!.val(); } public render() { return ( <JqxDateTimeInput ref={this.myDateTimeInput} width={250} height={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
animationType
|
enum:DateTimeInputAnimationType
|
'slide'
|
enum DateTimeInputAnimationType { fade, slide, none } Sets or gets the animationType property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [animationType]="'fade'"> </jqxDateTimeInput> `}) export class AppComponent {
|
allowNullDate
|
Boolean
|
true
|
Sets or gets the allowNullDate property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [allowNullDate]="false"> </jqxDateTimeInput> `}) export class AppComponent {
|
allowKeyboardDelete
|
Boolean
|
true
|
Sets or gets the allowKeyboardDelete property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [allowKeyboardDelete]="false"> </jqxDateTimeInput> `}) export class AppComponent {
|
clearString
|
String
|
'Clear'
|
Sets or gets the clearString property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [clearString]="'Clear'"> </jqxDateTimeInput> `}) export class AppComponent {
|
culture
|
String
|
default
|
Sets or gets the culture property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [culture]="'de-DE'"> </jqxDateTimeInput> `}) export class AppComponent {
|
closeDelay
|
Number
|
400
|
Sets or gets the closeDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [closeDelay]="2000"> </jqxDateTimeInput> `}) export class AppComponent {
|
closeCalendarAfterSelection
|
Boolean
|
true
|
Sets or gets the closeCalendarAfterSelection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [closeCalendarAfterSelection]="false"> </jqxDateTimeInput> `}) export class AppComponent {
|
dropDownHorizontalAlignment
|
enum:DateTimeInputDropDownHorizontalAlignment
|
'left'
|
enum DateTimeInputDropDownHorizontalAlignment { left, right } Sets or gets the dropDownHorizontalAlignment property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [dropDownHorizontalAlignment]="'right'"> </jqxDateTimeInput> `}) export class AppComponent {
|
dropDownVerticalAlignment
|
enum:DateTimeInputDropDownVerticalAlignment
|
'bottom'
|
enum DateTimeInputDropDownVerticalAlignment { top, bottom } Sets or gets the dropDownVerticalAlignment property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [dropDownVerticalAlignment]="'top'"> </jqxDateTimeInput> `}) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [disabled]="true"> </jqxDateTimeInput> `}) export class AppComponent {
|
enableBrowserBoundsDetection
|
Boolean
|
false
|
Sets or gets the enableBrowserBoundsDetection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [enableBrowserBoundsDetection]="true"> </jqxDateTimeInput> `}) export class AppComponent {
|
enableAbsoluteSelection
|
Boolean
|
false
|
Sets or gets the enableAbsoluteSelection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [enableAbsoluteSelection]="true"> </jqxDateTimeInput> `}) export class AppComponent {
|
firstDayOfWeek
|
Number
|
0
|
Sets or gets the firstDayOfWeek property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [firstDayOfWeek]="3"> </jqxDateTimeInput> `}) export class AppComponent {
|
formatString
|
enum:DateTimeInputFormatString
|
dd/MM/yyyy
|
enum DateTimeInputFormatString { d, f, n, c, p, d, dd, ddd, dddd, h, hh, H, HH, m, mm, M, MM, MMM, MMMM, s, ss, t, tt, y, yy, yyy, yyyy } Sets or gets the formatString property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [formatString]="'d'"> </jqxDateTimeInput> `}) export class AppComponent {
|
height
|
Size
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent {
|
min
|
Date
|
Date(1900, 1, 1)
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [min]="min"> </jqxDateTimeInput> `}) export class AppComponent {
|
max
|
Date
|
Date(2100, 1, 1)
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [max]="max"> </jqxDateTimeInput> `}) export class AppComponent {
|
openDelay
|
Number
|
350
|
Sets or gets the openDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [openDelay]="2000"> </jqxDateTimeInput> `}) export class AppComponent {
|
placeHolder
|
String
|
""
|
Sets or gets the placeHolder property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [placeHolder]="'Null Value'"> </jqxDateTimeInput> `}) export class AppComponent {
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popupZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [popupZIndex]="99999"> </jqxDateTimeInput> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [rtl]="true"> </jqxDateTimeInput> `}) export class AppComponent {
|
readonly
|
Boolean
|
false
|
Sets or gets the readonly property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [readonly]="true"> </jqxDateTimeInput> `}) export class AppComponent {
|
showFooter
|
Boolean
|
false
|
Sets or gets the showFooter property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [showFooter]="true"> </jqxDateTimeInput> `}) export class AppComponent {
|
selectionMode
|
enum:DateTimeInputSelectionMode
|
'default'
|
enum DateTimeInputSelectionMode { none, default, range } Sets or gets the selectionMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [selectionMode]="'range'"> </jqxDateTimeInput> `}) export class AppComponent {
|
showWeekNumbers
|
Boolean
|
true
|
Sets or gets the showWeekNumbers property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [showWeekNumbers]="false"> </jqxDateTimeInput> `}) export class AppComponent {
|
showTimeButton
|
Boolean
|
false
|
Sets or gets the showTimeButton property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [showTimeButton]="true"> </jqxDateTimeInput> `}) export class AppComponent {
|
showCalendarButton
|
Boolean
|
true
|
Sets or gets the showCalendarButton property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [showCalendarButton]="false"> </jqxDateTimeInput> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [theme]="'energyblue'"> </jqxDateTimeInput> `}) export class AppComponent {
|
template
|
enum:DateTimeInputTemplate
|
'default'
|
enum DateTimeInputTemplate { default, primary, success, warning, danger, info } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [template]="'primary'"> </jqxDateTimeInput> `}) export class AppComponent {
|
textAlign
|
enum:DateTimeInputTextAlign
|
left
|
enum DateTimeInputTextAlign { left, right, center } Sets or gets the textAlign property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [textAlign]="'right'"> </jqxDateTimeInput> `}) export class AppComponent {
|
todayString
|
String
|
'Today'
|
Sets or gets the todayString property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [todayString]="'Today'"> </jqxDateTimeInput> `}) export class AppComponent {
|
value
|
Date
|
Today's Date
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30" [value]="value"> </jqxDateTimeInput> `}) export class AppComponent {
|
width
|
Size
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent {
|
|
change
|
Event
|
|
This event is triggered on blur when the value is changed .
Code examples
Bind to the change event of jqxDateTimeInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput (onChange)="Change($event)" [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent {
|
close
|
Event
|
|
This event is triggered when the popup calendar is closed.
Code examples
Bind to the close event of jqxDateTimeInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput (onClose)="Close($event)" [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent {
|
open
|
Event
|
|
This event is triggered when the popup calendar is opened.
Code examples
Bind to the open event of jqxDateTimeInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput (onOpen)="Open($event)" [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent {
|
textchanged
|
Event
|
|
This event is triggered when the text is changed.
Code examples
Bind to the textchanged event of jqxDateTimeInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput (onTextchanged)="Textchanged($event)" [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent { Textchanged(event: any): void
|
valueChanged
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the valueChanged event of jqxDateTimeInput.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput (onValueChanged)="ValueChanged($event)" [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent { ValueChanged(event: any): void
|
|
Name | Return Type | Arguments |
close
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { this.myDateTimeInput.close();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { this.myDateTimeInput.destroy();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { this.myDateTimeInput.focus();
|
getRange
|
Any
|
date: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { let value = this.myDateTimeInput.getRange();
|
getText
|
String
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { let value = this.myDateTimeInput.getText();
|
getDate
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { let value = this.myDateTimeInput.getDate();
|
getMaxDate
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { let value = this.myDateTimeInput.getMaxDate();
|
getMinDate
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { let value = this.myDateTimeInput.getMinDate();
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { this.myDateTimeInput.open();
|
setRange
|
Void
|
date: Any, date2: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { this.myDateTimeInput.setRange(new Date(2017, 9, 20),new Date(2017, 9, 22));
|
setMinDate
|
Void
|
date: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { this.myDateTimeInput.setMinDate(new Date(2017, 9, 20));
|
setMaxDate
|
Void
|
date: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { this.myDateTimeInput.setMaxDate(new Date(2017, 9, 20));
|
setDate
|
Void
|
date: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { this.myDateTimeInput.setDate(new Date(2017, 9, 20));
|
val
|
Any
|
value: Any, value2: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDateTimeInput #myDateTimeInput [width]="250" [height]="30"> </jqxDateTimeInput> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDateTimeInput') myDateTimeInput: jqxDateTimeInputComponent; ngAfterViewInit(): void { let value = this.myDateTimeInput.val();
|

Name | Type | Default |
animationType
|
String
|
'slide'
|
Sets or gets the type of the animation.
Possible Values:
'fade'
'slide'
'none'
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :animationType="'fade'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the animationType property. let animationType = this.$refs.myDateTimeInput.animationType;
|
allowNullDate
|
Boolean
|
true
|
Determines whether Null is allowed as a value.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :allowNullDate="true" /> </template> <script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { this.$refs.myDateTimeInput.val(null);
Get the allowNullDate property. let allowNullDate = this.$refs.myDateTimeInput.allowNullDate;
|
allowKeyboardDelete
|
Boolean
|
true
|
Determines whether Backspace and Delete keys are handled by the widget.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :allowKeyboardDelete="false" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the allowKeyboardDelete property. let allowKeyboardDelete = this.$refs.myDateTimeInput.allowKeyboardDelete;
|
clearString
|
String
|
'Clear'
|
Sets or gets the 'Clear' string displayed when the 'showFooter' property is true.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :clearString="'Clear'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the clearString property. let clearString = this.$refs.myDateTimeInput.clearString;
|
culture
|
String
|
default
|
Sets or gets the jqxDateTimeInput's culture. The culture settings are contained within a file with the language code appended to the name, e.g. jquery.glob.de-DE.js for German. To set the culture, you need to include the jquery.glob.de-DE.js and set the culture property to the culture's name, e.g. 'de-DE'.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :culture="'de-DE'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the culture property. let culture = this.$refs.myDateTimeInput.culture;
|
closeDelay
|
Number
|
400
|
Specifies the animation duration of the popup calendar when it is going to be hidden.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :closeDelay="2000" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the closeDelay property. let closeDelay = this.$refs.myDateTimeInput.closeDelay;
|
closeCalendarAfterSelection
|
Boolean
|
true
|
Sets or gets whether or not the popup calendar must be closed after selection.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :closeCalendarAfterSelection="false" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the closeCalendarAfterSelection property. let closeCalendarAfterSelection = this.$refs.myDateTimeInput.closeCalendarAfterSelection;
|
dropDownHorizontalAlignment
|
String
|
'left'
|
Sets the DropDown's alignment.
Possible Values:
'left'
right'
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :dropDownHorizontalAlignment="'right'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the dropDownHorizontalAlignment property. let dropDownHorizontalAlignment = this.$refs.myDateTimeInput.dropDownHorizontalAlignment;
|
dropDownVerticalAlignment
|
String
|
'bottom'
|
Sets or gets the DropDown's alignment.
Possible Values:
'top'
'bottom'
<template> <JqxDateTimeInput ref="myDateTimeInput" style="margin-top: 250px;" :width="250" :height="30" :dropDownVerticalAlignment="'top'" /> </template> <script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the dropDownVerticalAlignment property. let dropDownVerticalAlignment = this.$refs.myDateTimeInput.dropDownVerticalAlignment;
|
disabled
|
Boolean
|
false
|
Determines whether the widget is disabled.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :disabled="true" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the disabled property. let disabled = this.$refs.myDateTimeInput.disabled;
|
enableBrowserBoundsDetection
|
Boolean
|
false
|
When this property is set to true, the popup calendar may open above the input, if there's not enough space below the DateTimeInput.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :enableBrowserBoundsDetection="true" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the enableBrowserBoundsDetection property. let enableBrowserBoundsDetection = this.$refs.myDateTimeInput.enableBrowserBoundsDetection;
|
enableAbsoluteSelection
|
Boolean
|
false
|
This setting enables the user to select only one symbol at a time when typing into the text input field.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :enableAbsoluteSelection="true" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the enableAbsoluteSelection property. let enableAbsoluteSelection = this.$refs.myDateTimeInput.enableAbsoluteSelection;
|
firstDayOfWeek
|
Number
|
0
|
Sets or gets which day to display in the first day column. By default the calendar displays 'Sunday' as first day.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :firstDayOfWeek="3" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the firstDayOfWeek property. let firstDayOfWeek = this.$refs.myDateTimeInput.firstDayOfWeek;
|
formatString
|
String
|
dd/MM/yyyy
|
Sets or gets the date time input format of the date.
Possible Values:
'd'-the day of the month
'dd'-the day of the month
'ddd'-the abbreviated name of the day of the week
'dddd'-the full name of the day of the week
'h'-the hour, using a 12-hour clock from 1 to 12
'hh'-the hour, using a 12-hour clock from 01 to 12
'H'-the hour, using a 24-hour clock from 0 to 23
'HH'-the hour, using a 24-hour clock from 00 to 23
'm'-the minute, from 0 through 59
'mm'-the minutes,from 00 though59
'M'-the month, from 1 through 12;
'MM'-the month, from 01 through 12
'MMM'-the abbreviated name of the month
'MMMM'-the full name of the month
's'-the second, from 0 through 59
'ss'-the second, from 00 through 59
't'-the first character of the AM/PM designator
'tt'-the AM/PM designator
'y'-the year, from 0 to 99
'yy'-the year, from 00 to 99
'yyy'-the year, with a minimum of three digits
'yyyy'-the year as a four-digit number
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :formatString="'d'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the formatString property. let formatString = this.$refs.myDateTimeInput.formatString;
|
height
|
Number | String
|
null
|
Sets or gets the height of the jqxDateTimeInput widget.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the height property. let height = this.$refs.myDateTimeInput.height;
|
min
|
Date
|
Date(1900, 1, 1)
|
Sets or gets the jqxDateTimeInput's minumun date.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :min="min" :max="max" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, data: function () { return { min: new Date(2018, 0, 1), max: new Date(2019, 0, 1)
Get the min property. let min = this.$refs.myDateTimeInput.min;
|
max
|
Date
|
Date(2100, 1, 1)
|
Sets or gets the jqxDateTimeInput's maximum date.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :min="min" :max="max" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, data: function () { return { min: new Date(2018, 0, 1), max: new Date(2019, 0, 1)
Get the max property. let max = this.$refs.myDateTimeInput.max;
|
openDelay
|
Number
|
350
|
Specifies the animation duration of the popup calendar when it is going to be displayed.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :openDelay="2000" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the openDelay property. let openDelay = this.$refs.myDateTimeInput.openDelay;
|
placeHolder
|
String
|
""
|
Determines the widget's place holder displayed when the widget's value is null.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :placeHolder="'Null Value'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the placeHolder property. let placeHolder = this.$refs.myDateTimeInput.placeHolder;
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popup's z-index.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :popupZIndex="99999" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the popupZIndex property. let popupZIndex = this.$refs.myDateTimeInput.popupZIndex;
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :rtl="true" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the rtl property. let rtl = this.$refs.myDateTimeInput.rtl;
|
readonly
|
Boolean
|
false
|
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :readonly="true" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
|
showFooter
|
Boolean
|
false
|
Sets or gets a value indicating whether the dropdown calendar's footer is displayed.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :showFooter="true" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the showFooter property. let showFooter = this.$refs.myDateTimeInput.showFooter;
|
selectionMode
|
String
|
'default'
|
Sets or gets the dropdown calendar's selection mode.
Possible Values:
'none'
'default'
'range'
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :selectionMode="'range'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the selectionMode property. let selectionMode = this.$refs.myDateTimeInput.selectionMode;
|
showWeekNumbers
|
Boolean
|
true
|
Sets or gets a value whether the week`s numbers are displayed.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :showWeekNumbers="false" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the showWeekNumbers property. let showWeekNumbers = this.$refs.myDateTimeInput.showWeekNumbers;
|
showTimeButton
|
Boolean
|
false
|
Determines whether the time button is visible.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :showTimeButton="true" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the showTimeButton property. let showTimeButton = this.$refs.myDateTimeInput.showTimeButton;
|
showCalendarButton
|
Boolean
|
true
|
Determines whether the calendar button is visible.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :showCalendarButton="false" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the showCalendarButton property. let showCalendarButton = this.$refs.myDateTimeInput.showCalendarButton;
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :theme="'material'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the theme property. let theme = this.$refs.myDateTimeInput.theme;
|
template
|
String
|
'default'
|
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :template="'primary'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the template property. let template = this.$refs.myDateTimeInput.template;
|
textAlign
|
String
|
left
|
Sets or gets the position of the text.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :textAlign="'right'" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the textAlign property. let textAlign = this.$refs.myDateTimeInput.textAlign;
|
todayString
|
String
|
'Today'
|
Sets or gets the 'Today' string displayed in the dropdown Calendar when the 'showFooter' property is true.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :todayString="'Today'" :showFooter="true" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the todayString property. let todayString = this.$refs.myDateTimeInput.todayString;
|
value
|
Date
|
Today's Date
|
Sets or gets the jqxDateTimeInput value.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :value="value" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, data: function () { return { value: new Date(2019, 0, 10)
Get the value property. let value = this.$refs.myDateTimeInput.value;
|
width
|
Number | String
|
null
|
Sets or gets the width of the jqxDateTimeInput widget.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue';
Get the width property. let width = this.$refs.myDateTimeInput.width;
|
|
change
|
Event
|
|
This event is triggered on blur when the value is changed .
Code examples
Bind to the change event of jqxDateTimeInput.
<template> <JqxDateTimeInput ref="myDateTimeInput" @change="onChange($event)" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, methods: { onChange: function (event) { alert( 'do something...');
|
close
|
Event
|
|
This event is triggered when the popup calendar is closed.
Code examples
Bind to the close event of jqxDateTimeInput.
<template> <JqxDateTimeInput ref="myDateTimeInput" @close="onClose($event)" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, methods: { onClose: function (event) { alert( 'do something...');
|
open
|
Event
|
|
This event is triggered when the popup calendar is opened.
Code examples
Bind to the open event of jqxDateTimeInput.
<template> <JqxDateTimeInput ref="myDateTimeInput" @open="onOpen($event)" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, methods: { onOpen: function (event) { alert( 'do something...');
|
textchanged
|
Event
|
|
This event is triggered when the text is changed.
Code examples
Bind to the textchanged event of jqxDateTimeInput.
<template> <JqxDateTimeInput ref="myDateTimeInput" @textchanged="onTextchanged($event)" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, methods: { onTextchanged: function (event) { alert( 'do something...');
|
valueChanged
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the valueChanged event of jqxDateTimeInput.
<template> <JqxDateTimeInput ref="myDateTimeInput" @valueChanged="onValueChanged($event)" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, methods: { onValueChanged: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
close
|
None
|
None
|
After calling this method, the popup calendar will be hidden.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template> <script> import JqxDateTimeInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue"; export default { components: { JqxDateTimeInput }, mounted: function() { this.$refs.myDateTimeInput.open(); setTimeout(() => { this.$refs.myDateTimeInput.close();
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { this.$refs.myDateTimeInput.destroy();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { this.$refs.myDateTimeInput.focus();
|
getRange
|
date
|
Object
|
Gets the selection range when the selectionMode is set to 'range'. The returned value is an object with "from" and "to" fields. Each of the fields is a JavaScript Date object.
<template> <div> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" :selectionMode="'range'" /> <br/> <JqxButton @click="onClick($event)" :width="60" :height="20">Click</JqxButton> </div></template> <script>import JqxDateTimeInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxDateTimeInput, JqxButton }, mounted: function() { this.$refs.myDateTimeInput.setRange(new Date(2017, 9, 20), new Date(2017, 9, 24)); }, methods: { onClick: function(event) { const value = this.$refs.myDateTimeInput.getRange();
|
getText
|
None
|
String
|
Returns the input field's text.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { const value = this.$refs.myDateTimeInput.getText();
|
getDate
|
None
|
Date
|
When the getDate method is called, the user gets the current date. The returned value is JavaScript Date object.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { const value = this.$refs.myDateTimeInput.getDate();
|
getMaxDate
|
None
|
Date
|
When the setMaxDate method is called, the user gets the maximum navigation date. The returned value is JavaScript Date object.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { const value = this.$refs.myDateTimeInput.getMaxDate();
|
getMinDate
|
None
|
Date
|
When the getMinDate method is called, the user gets the minimum navigation date. The returned value is JavaScript Date object.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { const value = this.$refs.myDateTimeInput.getMinDate();
|
open
|
None
|
None
|
After calling this method, the popup calendar will be displayed.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { this.$refs.myDateTimeInput.open();
|
setRange
|
date, date2
|
None
|
Sets the selection range when the selectionMode is set to 'range'. The required parameters are JavaScript Date objects.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { this.$refs.myDateTimeInput.selectionMode = 'range'; this.$refs.myDateTimeInput.setRange(new Date(2017, 9, 20),new Date(2017, 9, 22));
|
setMinDate
|
date
|
None
|
When the setMinDate method is called, the user sets the minimum date to which it is possible to navigate.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { this.$refs.myDateTimeInput.setMinDate(new Date(2017, 9, 20));
|
setMaxDate
|
date
|
None
|
When the setMaxDate method is called, the user sets the maximum date to which it is possible to navigate.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { this.$refs.myDateTimeInput.setMaxDate(new Date(2017, 9, 20));
|
setDate
|
date
|
None
|
When the setDate method is called, the user sets the date. The required parameter is a JavaScript Date object.
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { this.$refs.myDateTimeInput.setDate(new Date(2017, 9, 20));
|
val
|
value, value2
|
Date/string
|
Gets or sets the jqxDateTimeInput's value. Set value:
this.$refs.myDateTimeInput.val(new Date(2011, 10, 24));
Get value:
let date = this.$refs.myDateTimeInput.val();
<template> <JqxDateTimeInput ref="myDateTimeInput" :width="250" :height="30" /> </template>
<script> import JqxDateTimeInput from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdatetimeinput.vue'; export default { components: { JqxDateTimeInput }, mounted: function () { const value = this.$refs.myDateTimeInput.val();
|